> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Partner Webhooks



## OpenAPI

````yaml /api-reference/preview.json get /webhooks
openapi: 3.1.0
info:
  title: Intermezzo Global Payroll
  summary: Global Payroll Platform
  description: Intermezzo's global payroll apis, organized by country
  version: '2026-08-18'
  x-logo:
    url: /static/icon.svg
servers: []
security: []
paths:
  /webhooks:
    get:
      tags:
        - Core
        - Webhooks
      summary: List Partner Webhooks
      operationId: list_partner_webhooks_webhooks_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WebhookResponse'
                type: array
                title: Response List Partner Webhooks Webhooks Get
      security:
        - BearerToken:
            - read:webhooks
components:
  schemas:
    WebhookResponse:
      properties:
        partner_id:
          type: string
          title: Partner Id
          description: Auth0 client_id of the partner
        category:
          $ref: '#/components/schemas/WebhookCategory'
          description: Event category, e.g. payroll_status
        enabled:
          type: boolean
          title: Enabled
          description: Whether deliveries are sent for this webhook
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
          description: HTTPS endpoint we POST events to
      type: object
      required:
        - partner_id
        - category
        - enabled
        - url
      title: WebhookResponse
      description: 'GET representation: the secret is never returned.'
    WebhookCategory:
      type: string
      enum:
        - payroll_status
      title: WebhookCategory
      description: Category of partner webhook.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Get token from Auth0 and paste it here

````